declare function __VLS_template(): {
    default?(_: {
        modelValue: string;
        label: string;
        readonly: boolean;
        icon: string;
        "update:model-value": any;
    }): any;
};
declare const __VLS_component: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<string>;
    label: {
        type: import('vue').PropType<string>;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
    };
    langKey: {
        type: import('vue').PropType<string>;
        required: true;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<string>;
    label: {
        type: import('vue').PropType<string>;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
    };
    langKey: {
        type: import('vue').PropType<string>;
        required: true;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
